Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 1423573002: Remove anonymous block wrapper when all children become inline (Closed)

Created:
5 years, 1 month ago by rhogan
Modified:
5 years, 1 month ago
CC:
blink-reviews, blink-reviews-layout_chromium.org, chromium-reviews, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, szager+layoutwatch_chromium.org, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Remove anonymous block wrapper when all children become inline BUG=523282, 546849 Committed: https://crrev.com/231476fd47544d2f9d9f26920ddc821c16e976c8 Cr-Commit-Position: refs/heads/master@{#356817}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Updated #

Total comments: 2

Patch Set 3 : Updated #

Patch Set 4 : Updated #

Patch Set 5 : Updated #

Total comments: 1

Messages

Total messages: 17 (6 generated)
rhogan
5 years, 1 month ago (2015-10-22 17:55:59 UTC) #2
mstensho (USE GERRIT)
Can you CC me on the bug report, please? I get 403.
5 years, 1 month ago (2015-10-22 18:24:09 UTC) #3
rhogan
On 2015/10/22 at 18:24:09, mstensho wrote: > Can you CC me on the bug report, ...
5 years, 1 month ago (2015-10-22 18:32:35 UTC) #7
mstensho (USE GERRIT)
https://codereview.chromium.org/1423573002/diff/1/third_party/WebKit/LayoutTests/fast/block/float/add-inline-before-float-and-after-anonymous-block.html File third_party/WebKit/LayoutTests/fast/block/float/add-inline-before-float-and-after-anonymous-block.html (right): https://codereview.chromium.org/1423573002/diff/1/third_party/WebKit/LayoutTests/fast/block/float/add-inline-before-float-and-after-anonymous-block.html#newcode1 third_party/WebKit/LayoutTests/fast/block/float/add-inline-before-float-and-after-anonymous-block.html:1: <!DOCTYPE html> This test is beautiful! https://codereview.chromium.org/1423573002/diff/1/third_party/WebKit/LayoutTests/fast/block/float/add-inline-before-float-and-after-anonymous-block.html#newcode10 third_party/WebKit/LayoutTests/fast/block/float/add-inline-before-float-and-after-anonymous-block.html:10: .block ...
5 years, 1 month ago (2015-10-22 19:19:58 UTC) #8
rhogan
On 2015/10/22 at 19:19:58, mstensho wrote: > https://codereview.chromium.org/1423573002/diff/1/third_party/WebKit/Source/core/layout/LayoutBlock.cpp#newcode647 > third_party/WebKit/Source/core/layout/LayoutBlock.cpp:647: if (!isLayoutBlockFlow() || isRubyRun()) > ...
5 years, 1 month ago (2015-10-23 18:07:24 UTC) #9
mstensho (USE GERRIT)
I don't have access to bug 546849. Can you CC me? https://codereview.chromium.org/1423573002/diff/20001/third_party/WebKit/Source/core/layout/LayoutBlock.cpp File third_party/WebKit/Source/core/layout/LayoutBlock.cpp (right): ...
5 years, 1 month ago (2015-10-26 13:42:46 UTC) #11
rhogan
On 2015/10/26 at 13:42:46, mstensho wrote: > I don't have access to bug 546849. Can ...
5 years, 1 month ago (2015-10-28 20:17:08 UTC) #12
mstensho (USE GERRIT)
lgtm, looking very good! https://codereview.chromium.org/1423573002/diff/80001/third_party/WebKit/Source/core/layout/LayoutBlock.cpp File third_party/WebKit/Source/core/layout/LayoutBlock.cpp (right): https://codereview.chromium.org/1423573002/diff/80001/third_party/WebKit/Source/core/layout/LayoutBlock.cpp#newcode272 third_party/WebKit/Source/core/layout/LayoutBlock.cpp:272: toLayoutBlock(parent())->makeChildrenInlineIfPossible(); Note: I think this ...
5 years, 1 month ago (2015-10-29 10:08:49 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1423573002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1423573002/80001
5 years, 1 month ago (2015-10-29 11:25:58 UTC) #15
commit-bot: I haz the power
Committed patchset #5 (id:80001)
5 years, 1 month ago (2015-10-29 11:59:46 UTC) #16
commit-bot: I haz the power
5 years, 1 month ago (2015-10-29 12:00:38 UTC) #17
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/231476fd47544d2f9d9f26920ddc821c16e976c8
Cr-Commit-Position: refs/heads/master@{#356817}

Powered by Google App Engine
This is Rietveld 408576698